# $Revision: 1.23 $, $Date: 2012/01/28 19:14:21 $
# TODO: separate gltpd to -server package, add init script (requires portmap)
#
# Conditional build:
%bcond_without	tcl		# disable gui and nviz
%bcond_without	odbc	# disable unixODBC support
#
Summary:	Open Geographic Datastore Interface
Summary(pl.UTF-8):	OGDI - otwarty interfejs do danych geograficznych
Name:		ogdi
Version:	3.1.6
Release:	4
License:	BSD-like
Group:		Applications
Source0:	http://dl.sourceforge.net/ogdi/%{name}-%{version}.tar.gz
# Source0-md5:	212ad71896aa70528ed139c95bed6511
Source1:	http://ogdi.sourceforge.net/ogdi.pdf
# Source1-md5:	029a8cdcd36bee73df92196ee769040e
Patch0:		%{name}-pic.patch
URL:		http://ogdi.sourceforge.net/
BuildRequires:	autoconf
BuildRequires:	expat-devel
BuildRequires:	proj-devel
%{?with_tcl:BuildRequires:	tcl-devel}
%{?with_odbc:BuildRequires:	unixODBC-devel}
BuildRequires:	zlib-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
OGDI is the Open Geographic Datastore Interface. OGDI is an
application programming interface (API) that uses a standardized
access methods to work in conjunction with GIS software packages (the
application) and various geospatial data products. OGDI uses a
client/server architecture to facilitate the dissemination of
geospatial data products over any TCP/IP network, and a
driver-oriented approach to facilitate access to several geospatial
data products/formats.

%description -l pl.UTF-8
OGDI (Open Geographic Datastore Interface) oznacza otwarty interfejs
do danych geograficznych. OGDI to API używające ustandaryzowanych
metod dostępu do pracy z pakietami oprogramowania GIS i różnymi danymi
geograficznymi. OGDI używa architektury klient-serwer aby udostępniać
dane po dowolnej sieci TCP/IP oraz podejścia bazującego na
sterownikach aby zapewnić dostęp do różnych produktów/formatów danych
geograficznych.

%package devel
Summary:	OGDI header files and documentation
Summary(pl.UTF-8):	Pliki nagłówkowe i dokumentacja OGDI
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	proj-devel

%description devel
OGDI header files and developer's documentation.

%description devel -l pl.UTF-8
Pliki nagłówkowe i dokumentacja programisty do OGDI.

%package odbc
Summary:	ODBC driver for OGDI
Summary(pl.UTF-8):	Sterownik ODBC do OGDI
Group:		Libraries
Requires:	%{name} = %{version}-%{release}

%description odbc
ODBC driver for OGDI.

%description odbc -l pl.UTF-8
Sterownik ODBC do OGDI.

%package -n tcl-ogdi
Summary:	Tcl wrapper for OGDI
Summary(pl.UTF-8):	Interfejs Tcl do OGDI
Group:		Libraries
Requires:	%{name} = %{version}-%{release}

%description -n tcl-ogdi
Tcl wrapper for OGDI.

%description -n tcl-ogdi -l pl.UTF-8
Interfejs Tcl do OGDI.

%prep
%setup -q
%patch0 -p1

cp -f %{SOURCE1} .

%build
%{__autoconf}
TOPDIR=`pwd`; TARGET=Linux; export TOPDIR TARGET
%configure \
	--with-expat \
	--with-proj \
	--with-zlib

# bash because of pushd/popd used in makefiles
%{__make} -j 1 \
	SHELL=/bin/bash \
	INST_LIB=%{_libdir} \
	OPTIMIZATION="%{rpmcflags}"

%if %{with tcl}
%{__make} -j 1 -C ogdi/tcl_interface \
	OPTIMIZATION="%{rpmcflags}" \
	TCL_LINKLIB="-ltcl"
%endif
%{__make} -j 1 -C contrib/gdal \
	OPTIMIZATION="%{rpmcflags}"
%if %{with odbc}
%{__make} -j 1 -C ogdi/attr_driver/odbc \
	OPTIMIZATION="%{rpmcflags} -DDONT_TD_VOID" \
	ODBC_LINKLIB="-lodbc"
%endif

%install
rm -rf $RPM_BUILD_ROOT

TOPDIR=`pwd`; TARGET=Linux; export TOPDIR TARGET

%{__make} -j 1 install \
	SHELL=/bin/bash \
	INST_INCLUDE=$RPM_BUILD_ROOT%{_includedir} \
	INST_LIB=$RPM_BUILD_ROOT%{_libdir} \
	INST_BIN=$RPM_BUILD_ROOT%{_bindir}

%if %{with tcl}
%{__make} -j 1 install -C ogdi/tcl_interface \
	INST_LIB=$RPM_BUILD_ROOT%{_libdir}
%endif
%{__make} -j 1 install -C contrib/gdal \
	INST_LIB=$RPM_BUILD_ROOT%{_libdir}
%if %{with odbc}
%{__make} -j 1 install -C ogdi/attr_driver/odbc \
	INST_LIB=$RPM_BUILD_ROOT%{_libdir}
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc LICENSE NEWS
%attr(755,root,root) %{_bindir}/gltpd
%attr(755,root,root) %{_bindir}/ogdi_*
%attr(755,root,root) %{_libdir}/libogdi.so.*.*
%dir %{_libdir}/ogdi
%attr(755,root,root) %{_libdir}/ogdi/lib[!l]*.so

%files devel
%defattr(644,root,root,755)
%doc ogdi.pdf
%attr(755,root,root) %{_libdir}/libogdi.so
%{_includedir}/*.h

%if %{with odbc}
%files odbc
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/ogdi/liblodbc.so
%endif

%if %{with tcl}
%files -n tcl-ogdi
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/ogdi/libecs_tcl.so
%endif

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: ogdi.spec,v $
Revision 1.23  2012/01/28 19:14:21  arekm
- rel 4; makefile rules not ready for parallel stuff

Revision 1.22  2012/01/13 21:00:21  arekm
- release 3

Revision 1.21  2007/06/15 02:07:53  wrobell
- rel. 2

Revision 1.20  2007/02/20 17:39:41  qboosh
- updated to 3.1.6
- updated pic patch, removed obsolete driversdir patch

Revision 1.19  2007/02/13 07:16:50  glen
- tabs in preamble

Revision 1.18  2007/02/12 00:49:14  baggins
- converted to UTF-8

Revision 1.17  2006/12/15 14:09:16  qboosh
- shellglob fix

Revision 1.16  2006/12/15 13:40:14  qboosh
- cosmetic

Revision 1.15  2006/12/15 11:53:42  wrobell
- typo

Revision 1.14  2006/12/15 11:18:36  wrobell
- added tcl and odbc conditional builds
- rel. 2

Revision 1.13  2005/08/01 08:38:43  blekot
- up to 3.1.5

Revision 1.12  2005/01/09 20:36:12  saq
- devel reqs proj-devel

Revision 1.11  2004/11/01 17:35:21  qboosh
- updated to 3.1.4

Revision 1.10  2004/10/25 10:44:38  paladine
- "Tcl" and "Tk" unifications (and few others)

Revision 1.9  2004/01/23 17:32:12  qboosh
- one more fix in pic patch (needed on amd64); release 3

Revision 1.8  2004/01/23 16:31:10  qboosh
- added pic patch (fixes build on alpha and probably amd64), release 2

Revision 1.7  2003/12/17 23:12:49  qboosh
- updated to 3.1.2

Revision 1.6  2003/11/27 09:35:07  ankry
rel.3

Revision 1.5  2003/08/18 08:08:23  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.4  2003/05/28 13:00:02  malekith
- massive attack: source-md5

Revision 1.3  2003/05/25 05:51:20  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.2  2003/04/08 13:28:38  qboosh
- use http for sources from sourceforge

Revision 1.1  2002/06/18 21:51:10  qboosh
- new
- driversdir patch to allow installing drivers outside /usr/lib
